﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class CameraScript : MonoBehaviour {

    public GameObject player;
    public Image blackScreen;
    public float fadeSpeed;

	// Use this for initialization
	void Start ()
    {
        player = GameObject.FindGameObjectWithTag("Player");
	}
	
	// Update is called once per frame
	void LateUpdate ()
    {
        transform.position = new Vector3(player.transform.position.x, transform.position.y, transform.position.z);
	}

    public void ToggleScreenFade()
    {
        StopCoroutine(FadeShowScreen());
        StartCoroutine(FadeShowScreen());
    }

    IEnumerator FadeShowScreen()
    {
        if (blackScreen.color.a <= 0)
        {
            while (blackScreen.color.a < 255)
            {
                blackScreen.color = new Color(0, 0, 0, blackScreen.color.a + 0.01f);
                yield return new WaitForSeconds(fadeSpeed);
            }

            blackScreen.color = new Color(0, 0, 0, 255);
        }
        else
        {
            while (blackScreen.color.a > 0)
            {
                blackScreen.color = new Color(0, 0, 0, blackScreen.color.a - 0.01f);
                yield return new WaitForSeconds(fadeSpeed);
            }

            blackScreen.color = new Color(0, 0, 0, 0);
        }
    }

}
